package com.sd.business.entity.sku.vo;

import com.sd.business.entity.sku.po.SkuDefaultPackageSpec;
import lombok.Getter;
import lombok.Setter;

/**
 * sku包材配置规格列表查询返回值实体
 *
 * @author
 * @since 2023-11-08
 */
@Getter
@Setter
public class SkuDefaultPackageSpecVo extends SkuDefaultPackageSpec {

    /**
     * 彩纸Code
     */
    private String colouredPaperCode;

    /**
     * OPP膜Code
     */
    private String oppMembraneCode;

    /**
     * PE袋Code
     */
    private String peBagCode;

    /**
     * 网包Code
     */
    private String meshBagCode;

    /**
     * 纸箱Code
     */
    private String paperBoxCode;

    /**
     * 气泡袋Code
     */
    private String bubblePackCode;

    /**
     * 快递包材Code
     */
    private String logisticsPackagingMaterialCode;

    /**
     * 其他包材Code
     */
    private String otherPackingMaterialCode;

    /**
     * 不干胶Code
     */
    private String selfAdhesiveStickerCode;

    /**
     * 吊牌Code
     */
    private String dropCode;

    /**
     * 背带Code
     */
    private String suspendersCode;

    /**
     * 辅料Code
     */
    private String accessoryCode;

}
