package com.sd.business.mapper.production;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.production.po.ProductionExceedReceiveSku;
import com.sd.business.entity.production.vo.ProductionExceedReceiveSkuVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 生产超领sku Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
public interface ProductionExceedReceiveSkuMapper extends BaseMapper<ProductionExceedReceiveSku> {

    /**
     * 生产超领sku明细分页
     * @param page
     * @param wrapper
     * @return
     */
    Page<ProductionExceedReceiveSkuVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductionExceedReceiveSku> wrapper);
}
