package com.sd.business.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.production.dto.ProductionExceedReceiveDto;
import com.sd.business.entity.production.dto.ProductionExceedReceiveSelectDto;
import com.sd.business.entity.production.po.ProductionExceedReceive;
import com.sd.business.entity.production.vo.ProductionExceedReceiveVo;

/**
 * <p>
 * 生产超领 服务类
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
public interface ProductionExceedReceiveService extends BaseService<ProductionExceedReceive> {

    /**
     * 生产超领分页
     */
    Page<ProductionExceedReceiveVo> getPage(ProductionExceedReceiveSelectDto dto);

    /**
     * 生产超领
     * @param dto
     */
    void exceedReceive(ProductionExceedReceiveDto dto);

    /**
     * 生产错误超领
     * @param dto
     */
    void errorExceedReceive(ProductionExceedReceiveDto dto);

    /**
     * 计划外超领生产
     * @param dto
     */
    void replenishExceedReceive(ProductionExceedReceiveDto dto);
}
